File/Folder Sharing

WorkDrive allows its users to share files both internally and externally for multiple use cases.

By default, all files and folders within a team folder are shared with all its members. This avoids the necessity to share files and folders with individuals again.

Note:
Only the Admins and Organizers of a team folder can share its files and folders with other team members and external users.

Download File/Folder Sharing OpenAPI Document
Download






Get File/Folder Collaboration Info

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API returns sharing information about the file or folder. The permission_id is created when the file or folder is shared with other team members.
This will retrieve the date, time, sender, receiver, and file access role provided during the file/folder sharing.

Endpoints

OAuth Scope

WorkDrive.files.sharing.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/permissions/{permission_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

permission_idstring(Required)

The unique ID that represents Collaboration ID

Response Example

R008

F000

200
200
401
500
Copied!
  {
    "data": {
      "id": "jxtee81865c6d7ed64dc596540aa30dfd2753-747938058",
      "type": "permissions",
      "attributes": {
        "email_id": "reyansh.ahuja@zylker.com",
        "shared_time_in_millis": 1618401188121,
        "shared_by": "Zylker Creation",
        "expiry_in_millis": 0,
        "relation_type": 0,
        "expiration_date": "Jan 1, 1970, 5:30 AM",
        "share_to_entity_info": {
          "display_name": "Zylker Creation",
          "email_id": "reyansh.ahuja@zylker.com",
          "avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938058&fs=thumb&nps=404"
        },
        "share_to_member_type": 1,
        "role_id": 34,
        "shared_time_i18": "Apr 14, 5:23 PM",
        "shared_time": "Apr 14, 5:23 PM",
        "shared_status": "ACTIVE",
        "can_link_to_docs": true,
        "owner": "747937818",
        "allow_sharing_outside": false,
        "shared_type": "personal",
        "shared_to_entity": "Zylker Creation",
        "delete_from_propagated_space": false,
        "display_name": "Zylker Creation",
        "message": "",
        "share_to": "747938058",
        "is_expired": false,
        "shared_to_member_type": 1,
        "avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938058&fs=thumb&nps=404",
        "is_password_protected": false,
        "resource_id": "jxtee81865c6d7ed64dc596540aa30dfd2753",
        "permalink": "https://www.zohoapis.com/workdrive/file/jxtee81865c6d7ed64dc596540aa30dfd2753",
        "shared_by_zuid": "747938014"
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/permissions/jxtee81865c6d7ed64dc596540aa30dfd2753-747938058"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full